From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Mon, 9 Oct 2000 11:11:00 -0700 (PDT)

Thor,

A quick note.  I don't believe I ever followed up with you on your weather 
business plan.  I looked at it several times primarily in pieces while 
traveling overseas.  I read it again today and wanted to give you some 
feedback.  I thought it was excellent work and very well presented.  Thank 
you for all your effort. 

 I am in town this week, I canceled being out of the office an additional 3 
days, and I will be spending time thinking about weather as well as some of 
our other businesses.  I'll give you a call toward the end of the week to 
discuss some of the ideas you presented. 

Mike